Bug 1357803 (CVE-2016-2775) - CVE-2016-2775 bind: Too long query name causes segmentation fault in lwresd
Summary: CVE-2016-2775 bind: Too long query name causes segmentation fault in lwresd
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-2775
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1306504 1349329 1349331 1357804 1357805 1482441 1482442
Blocks: 1357806
TreeView+ depends on / blocked
 
Reported: 2016-07-19 08:24 UTC by Adam Mariš
Modified: 2019-09-29 13:53 UTC (History)
10 users (show)

Fixed In Version: bind 9.9.9-P2, bind 9.10.4-P2, bind 9.11.0b2, bind 9.9.9-S3
Doc Type: If docs needed, set a value
Doc Text:
It was found that the lightweight resolver protocol implementation in BIND could enter an infinite recursion and crash when asked to resolve a query name which, when combined with a search list entry, exceeds the maximum allowable length. A remote attacker could use this flaw to crash lwresd or named when using the "lwres" statement in named.conf.
Clone Of:
Environment:
Last Closed: 2019-07-12 13:04:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2533 normal SHIPPED_LIVE Moderate: bind security update 2017-08-24 09:24:22 UTC

Description Adam Mariš 2016-07-19 08:24:10 UTC
It was found that if the lightweight resolver is asked to resolve a query name which, when combined with a search list entry, exceeds the maximum allowable length, the server can terminate due to an error. If configured to use lwres lightweight resolver protocol accepting remote client connections, remote attacker can cause DoS by submitting large query.

External Reference:

https://kb.isc.org/article/AA-01393/

Comment 1 Adam Mariš 2016-07-19 08:24:47 UTC
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 1357804]

Comment 2 Adam Mariš 2016-07-19 08:24:54 UTC
Created bind99 tracking bugs for this issue:

Affects: fedora-all [bug 1357805]

Comment 6 Fedora Update System 2016-07-30 18:23:13 UTC
bind99-9.9.9-1.P2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-30 18:23:29 UTC
bind-9.10.4-1.P2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-08-08 23:55:19 UTC
bind99-9.9.9-1.P2.fc23, dhcp-4.3.3-10.P1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-18 00:51:14 UTC
bind-9.10.4-1.P2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Dhiru Kholia 2017-08-08 08:14:00 UTC
This flaw in BIND was fixed for RHEL 6.9 in RHBA-2017:0651.

https://access.redhat.com/errata/RHBA-2017:0651

Comment 17 errata-xmlrpc 2017-08-24 05:25:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Extended Update Support
  Red Hat Enterprise Linux 7.2 Extended Update Support

Via RHSA-2017:2533 https://access.redhat.com/errata/RHSA-2017:2533

Comment 18 Product Security DevOps Team 2019-07-12 13:04:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2016-2775


Note You need to log in before you can comment on or make changes to this bug.